Package org.apache.groovy.util

## Class ObjectHolder<T>

- java.lang.Object
- - org.apache.groovy.util.ObjectHolder<T>

- Type Parameters:
    `T` - the type of object

      public class ObjectHolder<T>
      extends Object

  Just hold an object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ObjectHolder()` |
    `ObjectHolder​(T object)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `T` | `getObject()` |
    `void` | `setObject​(T object)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectHolder

          public ObjectHolder()

    - #### ObjectHolder

          public ObjectHolder​(T object)

  - ### Method Detail

    - #### getObject

          public T getObject()

    - #### setObject

          public void setObject​(T object)